指定备用单位的舍入。 支持的平台:仅窗口 属性值只读:不 类型:双 一个正实数,表示要舍入距离的值。初始值为 0.00。 言论如果该属性处于打开状态,则此属性定义要将距离舍入到的数字。AltUnits 注意:此属性覆盖给定维度的 DIMALTRND 系统变量的值。
例子工 务 局: Sub Example_AltRoundDistance() ' This example creates an aligned dimension in model space and ' uses AltRoundDistance to set the alternate unit display ' of the dimension to rounded values Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 5: point1(1) = 5: point1(2) = 0 point2(0) = 10.123: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ' Enable alternate unit display dimObj.AltUnits = True ThisDrawing.Application.ZoomAll MsgBox "Press any key to round the alternate dimension unit display to .5" ' Round the distance of the alternate dimension to 0.50 of a unit dimObj.AltRoundDistance = 0.5 ThisDrawing.Regen acAllViewports MsgBox "Alternate dimension units have been rounded to: " & dimObj.AltRoundDistance End Sub Visual LISP: (vl-load-com) (defun c:Example_AltRoundDistance() ;; This example creates an aligned dimension in model space and ;; uses AltRoundDistance to set the alternate unit display ;; of the dimension to rounded values (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq point1 (vlax-3d-point 5 5 0) point2 (vlax-3d-point 10.123 5 0) location (vlax-3d-point 5 7 0)) ;; Create an aligned dimension object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location)) ;; Enable alternate unit display (vla-put-AltUnits dimObj :vlax-true) (vla-ZoomAll acadObj) (alert "Round the alternate dimension unit display to .5") ;; Round the distance of the alternate dimension to 0.50 of a unit (vla-put-AltRoundDistance dimObj 0.5) (vla-Regen doc acAllViewports) (alert (strcat "Alternate dimension units have been rounded to: " (rtos (vla-get-AltRoundDistance dimObj) 2 4))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:31
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.